import{s as J,n as K,o as Q}from"../chunks/scheduler.c59d9fbb.js";import{S as X,i as Y,g as l,s as i,r as I,A as Z,h as r,f as t,c as d,j as P,u as k,x as E,k as H,y as c,a as m,v as O,d as S,t as V,w as N}from"../chunks/index.a47918e3.js";import{D as G}from"../chunks/Docstring.c93610ba.js";import{H as ee}from"../chunks/Heading.604bc707.js";function te(U){let s,D,v,T,u,y,a,f,M,_,W="Create templated examples for a reference dataset or reference labels.",z,g,j=`If <code>candidate_labels</code> is supplied, use it for generating the templates.
Otherwise, use the labels loaded from <code>reference_dataset</code>.`,A,b,R=`If input Dataset is supplied, add the examples to it, otherwise create a new Dataset.
The input Dataset is assumed to have a text column with the name <code>text_column</code> and a
label column with the name <code>label_column</code>, which contains one-hot or multi-hot
encoded label sequences.`,w,o,h,F,x,B="Samples a Dataset to create an equal number of samples per class (when possible).",C,$,q;return u=new ee({props:{title:"Utility Functions",local:"setfit.get_templated_dataset",headingTag:"h1"}}),f=new G({props:{name:"setfit.get_templated_dataset",anchor:"setfit.get_templated_dataset",parameters:[{name:"dataset",val:": typing.Optional[datasets.arrow_dataset.Dataset] = None"},{name:"candidate_labels",val:": typing.Optional[typing.List[str]] = None"},{name:"reference_dataset",val:": typing.Optional[str] = None"},{name:"template",val:": str = 'This sentence is {}'"},{name:"sample_size",val:": int = 2"},{name:"text_column",val:": str = 'text'"},{name:"label_column",val:": str = 'label'"},{name:"multi_label",val:": bool = False"},{name:"label_names_column",val:": str = 'label_text'"}],parametersDescription:[{anchor:"setfit.get_templated_dataset.dataset",description:"<strong>dataset</strong> (<code>Dataset</code>, <em>optional</em>) &#x2014; A Dataset to add templated examples to.",name:"dataset"},{anchor:"setfit.get_templated_dataset.candidate_labels",description:`<strong>candidate_labels</strong> (<code>List[str]</code>, <em>optional</em>) &#x2014; The list of candidate
labels to be fed into the template to construct examples.`,name:"candidate_labels"},{anchor:"setfit.get_templated_dataset.reference_dataset",description:`<strong>reference_dataset</strong> (<code>str</code>, <em>optional</em>) &#x2014; A dataset to take labels
from, if <code>candidate_labels</code> is not supplied.`,name:"reference_dataset"},{anchor:"setfit.get_templated_dataset.template",description:`<strong>template</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;This sentence is {}&quot;</code>) &#x2014; The template
used to turn each label into a synthetic training example. This template
must include a {} for the candidate label to be inserted into the template.
For example, the default template is &#x201C;This sentence is {}.&#x201D; With the
candidate label &#x201C;sports&#x201D;, this would produce an example
&#x201C;This sentence is sports&#x201D;.`,name:"template"},{anchor:"setfit.get_templated_dataset.sample_size",description:`<strong>sample_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014; The number of examples to make for
each candidate label.`,name:"sample_size"},{anchor:"setfit.get_templated_dataset.text_column",description:`<strong>text_column</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;text&quot;</code>) &#x2014; The name of the column
containing the text of the examples.`,name:"text_column"},{anchor:"setfit.get_templated_dataset.label_column",description:`<strong>label_column</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;label&quot;</code>) &#x2014; The name of the column
in <code>dataset</code> containing the labels of the examples.`,name:"label_column"},{anchor:"setfit.get_templated_dataset.multi_label",description:`<strong>multi_label</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014; Whether or not multiple
candidate labels can be true.`,name:"multi_label"},{anchor:"setfit.get_templated_dataset.label_names_column",description:`<strong>label_names_column</strong> (<code>str</code>, <em>optional</em>, defaults to &#x201C;label_text&#x201D;) &#x2014; The name of the
label column in the <code>reference_dataset</code>, to be used in case there is no ClassLabel
feature for the label column.`,name:"label_names_column"}],source:"https://github.com/huggingface/setfit/blob/v1.0.1/src/setfit/data.py#L23",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>A copy of the input Dataset with templated examples added.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>Dataset</code></p>
`,raiseDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<ul>
<li><code>ValueError</code> — If the input Dataset is not empty and one or both of the
provided column names are missing.</li>
</ul>
`,raiseType:`<script context="module">export const metadata = 'undefined';<\/script>


<p><code>ValueError</code></p>
`}}),h=new G({props:{name:"setfit.sample_dataset",anchor:"setfit.sample_dataset",parameters:[{name:"dataset",val:": Dataset"},{name:"label_column",val:": str = 'label'"},{name:"num_samples",val:": int = 8"},{name:"seed",val:": int = 42"}],source:"https://github.com/huggingface/setfit/blob/v1.0.1/src/setfit/data.py#L146"}}),{c(){s=l("meta"),D=i(),v=l("p"),T=i(),I(u.$$.fragment),y=i(),a=l("div"),I(f.$$.fragment),M=i(),_=l("p"),_.textContent=W,z=i(),g=l("p"),g.innerHTML=j,A=i(),b=l("p"),b.innerHTML=R,w=i(),o=l("div"),I(h.$$.fragment),F=i(),x=l("p"),x.textContent=B,C=i(),$=l("p"),this.h()},l(e){const n=Z("svelte-u9bgzb",document.head);s=r(n,"META",{name:!0,content:!0}),n.forEach(t),D=d(e),v=r(e,"P",{}),P(v).forEach(t),T=d(e),k(u.$$.fragment,e),y=d(e),a=r(e,"DIV",{class:!0});var p=P(a);k(f.$$.fragment,p),M=d(p),_=r(p,"P",{"data-svelte-h":!0}),E(_)!=="svelte-1cgnucd"&&(_.textContent=W),z=d(p),g=r(p,"P",{"data-svelte-h":!0}),E(g)!=="svelte-1qfxemt"&&(g.innerHTML=j),A=d(p),b=r(p,"P",{"data-svelte-h":!0}),E(b)!=="svelte-vganoc"&&(b.innerHTML=R),p.forEach(t),w=d(e),o=r(e,"DIV",{class:!0});var L=P(o);k(h.$$.fragment,L),F=d(L),x=r(L,"P",{"data-svelte-h":!0}),E(x)!=="svelte-mhbctk"&&(x.textContent=B),L.forEach(t),C=d(e),$=r(e,"P",{}),P($).forEach(t),this.h()},h(){H(s,"name","hf:doc:metadata"),H(s,"content",ae),H(a,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),H(o,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){c(document.head,s),m(e,D,n),m(e,v,n),m(e,T,n),O(u,e,n),m(e,y,n),m(e,a,n),O(f,a,null),c(a,M),c(a,_),c(a,z),c(a,g),c(a,A),c(a,b),m(e,w,n),m(e,o,n),O(h,o,null),c(o,F),c(o,x),m(e,C,n),m(e,$,n),q=!0},p:K,i(e){q||(S(u.$$.fragment,e),S(f.$$.fragment,e),S(h.$$.fragment,e),q=!0)},o(e){V(u.$$.fragment,e),V(f.$$.fragment,e),V(h.$$.fragment,e),q=!1},d(e){e&&(t(D),t(v),t(T),t(y),t(a),t(w),t(o),t(C),t($)),t(s),N(u,e),N(f),N(h)}}}const ae='{"title":"Utility Functions","local":"setfit.get_templated_dataset","sections":[],"depth":1}';function ne(U){return Q(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class re extends X{constructor(s){super(),Y(this,s,ne,te,J,{})}}export{re as component};
